Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.lisp
Class LispPrinter

    java.lang.Object
      ix.util.lisp.LispPrinter

    public class LispPrinter

extends java.lang.Object

Converts objects to printed representations.

Constructor Summary
`LispPrinter()`

Method Summary
`java.lang.String` | `elementsToString(java.lang.Object a)` Returns a string containing the speficied object(s), converted to strings by calling `printToString(Object)` and with a single space as the separator.
`boolean` | `isFullyPrintable(java.lang.Object a)`
`int` | `printLength(java.lang.Object a)` Returns the number of characters in the textual represpetation of an object.
`java.lang.String` | `printToString(java.lang.Object a)`
`java.lang.String` | `quotedAndEscaped(char quote, java.lang.String s)` Adds quote marks around a string and escape sequences inside it.
`void` | `setPrintUnprintablesUsingToString(boolean v)`
`void` | `setStringForNil(java.lang.String s)`
`protected java.lang.String` | `unprintableToString(java.lang.Object a)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LispPrinter

    public LispPrinter()

Method Detail

### setPrintUnprintablesUsingToString

    public void setPrintUnprintablesUsingToString(boolean v)

### setStringForNil

    public void setStringForNil(java.lang.String s)

### printToString

    public java.lang.String printToString(java.lang.Object a)

### unprintableToString

    protected java.lang.String unprintableToString(java.lang.Object a)

### isFullyPrintable

    public boolean isFullyPrintable(java.lang.Object a)

### elementsToString

    public java.lang.String elementsToString(java.lang.Object a)

  Returns a string containing the speficied object(s), converted to strings by calling `printToString(Object)` and with a single space as the separator.

### quotedAndEscaped

    public java.lang.String quotedAndEscaped(char quote,
                                             java.lang.String s)

  Adds quote marks around a string and escape sequences inside it.

### printLength

    public int printLength(java.lang.Object a)

  Returns the number of characters in the textual represpetation of an object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD